<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true"
    android:orientation="vertical"
    tools:context=".ui.activity.AppointmentDateActivity">

    <include
        android:id="@+id/toolbarView"
        layout="@layout/toolbar" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:baselineAligned="false"
        android:orientation="horizontal">

        <LinearLayout
            android:id="@+id/ll_left"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="2"
            android:orientation="vertical"
            android:padding="10dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">


                <RelativeLayout
                    android:id="@+id/rl_tool"
                    android:layout_width="match_parent"
                    android:layout_height="52dp"
                    android:background="#ffffff">

                    <TextView
                        android:id="@+id/tv_month_day"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:gravity="center_vertical"
                        android:paddingStart="16dp"
                        android:textColor="#000000"
                        android:textSize="26sp"
                        android:textStyle="bold"
                        tools:ignore="RtlSymmetry" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_toRightOf="@+id/tv_month_day"
                        android:orientation="vertical"
                        android:paddingLeft="6dp"
                        android:paddingTop="12dp"
                        android:paddingRight="6dp"
                        android:paddingBottom="12dp"
                        tools:ignore="RelativeOverlap">

                        <TextView
                            android:id="@+id/tv_year"
                            android:layout_width="wrap_content"
                            android:layout_height="0dp"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:textColor="#000000"
                            android:textSize="10sp" />

                        <TextView
                            android:id="@+id/tv_lunar"
                            android:layout_width="wrap_content"
                            android:layout_height="0dp"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:textColor="#000000"
                            android:textSize="10sp"
                            tools:ignore="SmallSp" />
                    </LinearLayout>

                    <FrameLayout
                        android:id="@+id/fl_current"
                        android:layout_width="32dp"
                        android:layout_height="32dp"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:layout_marginRight="12dp"
                        android:background="@drawable/bg_ripple">

                        <ImageView
                            android:id="@+id/ib_calendar"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:contentDescription="@string/app_name"
                            android:scaleType="centerInside"
                            android:src="@mipmap/ic_calendar"
                            app:tint="#000000" />

                        <TextView
                            android:id="@+id/tv_current_day"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginTop="2dp"
                            android:gravity="center"
                            android:text="13"
                            android:textColor="#000000"
                            android:textSize="12sp" />
                    </FrameLayout>
                </RelativeLayout>

                <com.haibin.calendarview.CalendarLayout
                    android:id="@+id/calendarLayout"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="#fff"
                    android:orientation="vertical"
                    app:calendar_content_view_id="@+id/recyclerView">

                    <com.haibin.calendarview.CalendarView
                        android:id="@+id/calendarView"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="#fff"
                        app:calendar_padding="10dp"
                        app:current_month_lunar_text_color="#CFCFCF"
                        app:current_month_text_color="#333333"
                        app:max_year="9999"
                        app:min_year="0001"
                        app:month_view="com.rehome.sbcksyy.weiget.CustomMonthView"
                        app:month_view_show_mode="mode_fix"
                        app:other_month_lunar_text_color="#e1e1e1"
                        app:other_month_text_color="#e1e1e1"
                        app:scheme_text="假"
                        app:scheme_text_color="#333"
                        app:scheme_theme_color="#128c4b"
                        app:selected_lunar_text_color="#fff"
                        app:selected_text_color="#fff"
                        app:selected_theme_color="#046cea"
                        app:week_background="#fff"
                        app:week_start_with="mon"
                        app:week_text_color="#333333"
                        app:week_view="com.rehome.sbcksyy.weiget.CustomWeekView"
                        app:year_view="com.rehome.sbcksyy.weiget.CustomYearView"
                        app:year_view_day_text_color="#333333"
                        app:year_view_day_text_size="7sp"
                        app:year_view_month_text_color="#ff0000"
                        app:year_view_month_text_size="20sp"
                        app:year_view_scheme_color="#f17706"
                        app:year_view_select_text_color="#fff"
                        app:year_view_week_height="12dp"
                        app:year_view_week_text_color="#e1e1e1"
                        app:year_view_week_text_size="6sp" />

                </com.haibin.calendarview.CalendarLayout>
            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_right"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="3"
            android:background="#cccccc"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="vertical"
                tools:ignore="NestedWeights">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginTop="10dp"
                    android:text="日常培训考试"
                    android:textColor="#000000"
                    android:textSize="20sp" />
                <TextView
                    android:id="@+id/tv_time_day1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="left"
                    android:layout_marginStart="10dp"
                    android:text=""
                    android:textColor="#ff0000"
                    android:textSize="15sp" />

                <ListView
                    android:id="@+id/lv_appointment_dayly"
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_margin="10dp"
                    android:layout_weight="1"
                    android:divider="@null"
                    android:dividerHeight="5dp"
                    tools:ignore="NestedWeights" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="vertical"
                tools:ignore="NestedWeights">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingBottom="5dp"
                    android:gravity="center"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="生产岗位技能平台考试"
                        android:layout_marginTop="10dp"
                        android:textColor="#000000"
                        android:textSize="20sp" />

                    <TextView
                        android:id="@+id/tv_time_day3"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="left"
                        android:layout_marginStart="10dp"
                        android:text=""
                        android:textColor="#ff0000"
                        android:textSize="15sp" />
                </LinearLayout>

                <ListView
                    android:id="@+id/lv_appointment_yy"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:layout_marginTop="15dp"
                    android:divider="@null"
                    android:dividerHeight="5dp" />
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</LinearLayout>
